![GitHub](https://img.shields.io/github/license/spedas/pyspedas_examples)
# PySPEDAS Examples

This project contains general examples and turorials for pySPEDAS.


## Requirements

Python 3.8+ is required.


## Installation

To install the examples, use the following command:
```bash
pip install pyspedas_examples
```

To upgrade the examples from a previous version, use the following command:
```bash
pip install pyspedas_examples --upgrade
```

Installing pyspedas_examples will also install pyspedas and all other required packages.


### Running the examples

To run one of the examples using the python command line, use the following commands:

```bash
from pyspedas_examples import ex_basic
ex_basic()
```

Alternatively, you can open the example file using an editor (like Visual Studio Code) and run it directly.


## Additional examples

Additional, mission-specific examples, can be found in the repositories:

Magnetospheric Multiscale Mission (MMS):
https://github.com/spedas/mms-examples

Time History of Events and Macroscale Interactions during Substorms (THEMIS):
https://github.com/spedas/themis-examples


## Additional Information

For documentation on PySPEDAS, see: https://pyspedas.readthedocs.io/

For documentation on PyTplot, see: https://pytplot.readthedocs.io/

For documentation on cdflib, see: https://cdflib.readthedocs.io/

For more information on IDL SPEDAS, see http://spedas.org/
